/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <array>

#include <SDL.h>

namespace nostalgia::core {

struct SdlImplData {
	SDL_Window *window = nullptr;
	SDL_GLContext renderer = nullptr;
	int64_t startTime = 0;
	uint64_t wakeupTime = 0;
	bool running = false;
};

}
